Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class Project

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
          org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
              org.gradle.plugins.ide.idea.model.Project

    class Project
    extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

Authors:
  Hans Dockter

Field Summary

Fields inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
__timeStamp, __timeStamp__239_neverHappen1319515401249, __timeStamp, __timeStamp__239_neverHappen1319515400686

Fields inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
__timeStamp, __timeStamp__239_neverHappen1319515400686

Property Summary
`Jdk` | `jdk` Represent the jdk information of the project java sdk.
`java.util.Set` | `modulePaths` A set of Path instances pointing to the modules contained in the ipr.
`java.util.Set` | `wildcards` A set of wildcard string to be included/excluded from the resources.

Constructor Summary
`Project(org.gradle.api.internal.XmlTransformer xmlTransformer, java.lang.Object pathFactory)`

Method Summary
`java.lang.Object` | `configure(java.util.Collection modulePaths, java.lang.String jdkName, IdeaLanguageLevel languageLevel, java.util.Collection wildcards)`
`boolean` | `equals(java.lang.Object o)`
`protected java.lang.String` | `getDefaultResourceName()`
`int` | `hashCode()`
`protected void` | `load(groovy.util.Node xml)`
`protected void` | `store(groovy.util.Node xml)`

Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#__, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getXml(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#transformAction(groovy.lang.Closure), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notifyAll()

Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#__, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### jdk

    Jdk jdk

  Represent the jdk information of the project java sdk.

### modulePaths

    java.util.Set modulePaths

  A set of Path instances pointing to the modules contained in the ipr.

### wildcards

    java.util.Set wildcards

  A set of wildcard string to be included/excluded from the resources.

Constructor Detail

### Project

    Project(org.gradle.api.internal.XmlTransformer xmlTransformer, java.lang.Object pathFactory)

Method Detail

### configure

    java.lang.Object configure(java.util.Collection modulePaths, java.lang.String jdkName, IdeaLanguageLevel languageLevel, java.util.Collection wildcards)

### equals

    boolean equals(java.lang.Object o)

### getDefaultResourceName

    @Override
    protected java.lang.String getDefaultResourceName()

### hashCode

    int hashCode()

### load

    @Override
    protected void load(groovy.util.Node xml)

### store

    @Override
    protected void store(groovy.util.Node xml)

Groovy Documentation